<script>
import { AosAnimationsMixin, LocalizedHrefMixin } from '../mixins';
import { NAV_CONTENT_TYPES } from '../common/content-types';
import { convertToCaseSensitiveLocale } from '../common/util';
import { getNavigationClient } from '~/plugins/contentful';
import { generateLayoutMeta } from '../common/meta';
export default {
  mixins: [LocalizedHrefMixin, AosAnimationsMixin],
  data() {
    return {
      nav: {},
      footer: {},
      contentfulEntryUrl: '',
    };
  },
  async fetch() {
    const navEntry = await getNavigationClient().getEntries({
      content_type: NAV_CONTENT_TYPES.NAVIGATION,
      'sys.id': '2eBk9NOYngEhiKqzdR7Eod',
      include: 3,
      locale: convertToCaseSensitiveLocale(this.$i18n.locale),
    });

    const [nav] = navEntry.items;
    this.nav = nav.fields;

    const footerEntry = await getNavigationClient().getEntries({
      content_type: NAV_CONTENT_TYPES.FOOTER,
      'sys.id': 'QxdoqHd5ixKTwFjIHYvYI',
      include: 3,
      locale: convertToCaseSensitiveLocale(this.$i18n.locale),
    });

    const [footer] = footerEntry.items;

    this.footer = footer;
  },
  head() {
    return generateLayoutMeta(this.$route.path, this.$i18n.locale);
  },
  created() {
    this.$nuxt.$on('contentfulIds', (data) => {
      const { spaceId, entryId } = data;
      if (spaceId !== undefined && entryId !== undefined) {
        this.contentfulEntryUrl = `https://app.contentful.com/spaces/${spaceId}/entries/${entryId}`;
      }
    });
  },
};
</script>

<template>
  <div>
    <nav>
      <nuxt-img
        class="desktop"
        src="/nuxt-images/free-trial/free-trial-nav-logo.svg"
        width="160px"
        format="webp"
        quality="99"
      />
      <nuxt-img
        class="mobile"
        src="/nuxt-images/free-trial/free-trial-nav-logo-mobile.svg"
        width="25px"
        format="webp"
        quality="99"
      />
      <SlpButton
        v-if="nav.freeTrial"
        :href="nav.freeTrial.fields.href"
        variant="primary"
        data-ga-name="free trial"
        data-ga-location="header"
      >
        {{ nav.freeTrial.fields.text }}
        <SlpIcon
          class="learn-more-icon slp-ml-8"
          name="chevron-lg-right"
          variant="product"
        />
      </SlpButton>
    </nav>
    <div ref="localizedContainer">
      <Nuxt role="main" />
    </div>
    <SlpMinimizedFooter
      :contentful-footer-data="footer"
      :contentful-entry-url="contentfulEntryUrl"
    />
  </div>
</template>

<style lang="scss" scoped>
nav {
  display: flex;
  justify-content: space-between;
  padding: 13px $spacing-32;
  left: 0;
  position: sticky;
  right: 0;
  top: 0;
  z-index: 1025;
  background: $color-surface-50;
  backdrop-filter: blur(16px);
  -webkit-backdrop-filter: blur(16px);

  .mobile {
    display: none;
  }

  @media (max-width: $breakpoint-md) {
    flex-wrap: wrap;
    flex-direction: column-reverse;
    justify-content: center;
    padding: 0;
    &:deep(.slp-btn) {
      border-radius: 0;
      justify-content: center;
    }

    .desktop {
      display: none;
    }

    .mobile {
      display: block;
      margin: 12px auto;
    }
  }
}
</style>
